#include <stdio.h>
#include <malloc.h>
#include <zlib.h>
#define __BMP_TO_DAT__
#include "../imagedata.h"

#define BMP_PATH "../data"

void write_bitmap(gzFile *f, char *bmpfile, int w, int h)
{
  char buf[512];
  unsigned char *pixels;
  FILE *iff;
  char buf2[512];

  printf("+ Adding bitmap %s (%dx%d)\n", bmpfile, w, h);
  sprintf(buf, "%s/%s", BMP_PATH, bmpfile);
  iff = fopen(buf, "rb");
  
  fgets(buf2, 510, iff); /* PPM header */
  fgets(buf2, 510, iff); /* Image dimensions */
  if (buf2[0] == '#') /* Get another line, that one was a comment! */
    fgets(buf2, 510, iff);
  fgets(buf2, 510, iff); /* Colour depth */

  pixels = malloc(w*h*3);
  fread(pixels, w*h*3, 1, iff);
  gzwrite(f, pixels, w*h*3);
  free(pixels);
  
  fclose(iff);
}

int main()
{
  gzFile *f;
  int i;

  f = gzopen("../blockit.cid", "w9");
  for (i=0; i<ID_N_BITMAPS; i++)
    {
      write_bitmap(f, id_bitmaps[i].bmpfilename, id_bitmaps[i].width, id_bitmaps[i].height);
    }
  gzclose(f);

  return 0;
}
