#include <stdio.h>
#include <malloc.h>
#include <zlib.h>
#define __BMP_TO_DAT__
#include "../imagedata.h"

#define BMP_PATH "../data"

void grab_bitmap(gzFile *f, char *bmpfile, int w, int h)
{
  char buf[512];
  unsigned char *pixels;
  FILE *iff;
  char buf2[512];

  printf("+ Dumping bitmap %s (%dx%d)\n", bmpfile, w, h);
  sprintf(buf, "%s/%s", BMP_PATH, bmpfile);
  iff = fopen(buf, "wb");

  fprintf(iff, "P6\n%d %d\n255\n", w, h);

  pixels = malloc(w*h*3);
  gzread(f, pixels, w*h*3);
  fwrite(pixels, w*h*3, 1, iff);
  free(pixels);
  
  fclose(iff);
}

int main()
{
  gzFile *f;
  int i;

  f = gzopen("./blockit.cid", "r");
  if (f == NULL)
    {
      printf("** IMPORTANT **: Copy in a working file `blockit.cid' into this (bmp2dat/)\n");
      printf("                 directory, or Bad Things will happen.\n");
      exit(5);
    }
  for (i=0; i<ID_N_BITMAPS; i++)
    {
      grab_bitmap(f, id_bitmaps[i].bmpfilename, id_bitmaps[i].width, id_bitmaps[i].height);
    }
  gzclose(f);

  return 0;
}
