#ifndef __IMAGEDATA_H__
#define __IMAGEDATA_H__

typedef struct
{
  char *bmpfilename;
  int width;
  int height;
} id_bitmap_info;

#define ID_N_BITMAPS 27

id_bitmap_info id_bitmaps[] =
{
  { "title.ppm",          640, 480 },
  { "winner_none.ppm",    582, 126 },
  { "winner_red.ppm",     533, 126 },
  { "winner_blue.ppm",    561, 126 },
  { "sidebar_large.ppm",  512,  32 },
  { "sidebar_small.ppm",  128,  32 },
  { "sidebar_button.ppm", 320,  40 },
  { "scroll_bar.ppm",      16, 384 },
  { "scroll_up.ppm",       16,  16 },
  { "scroll_down.ppm",     16,  16 },
  { "scroll_nib.ppm",      16,  16 },
  { "terra_neutral.ppm",   20,  20 },
  { "terra_red.ppm",       20,  20 },
  { "terra_blue.ppm",      20,  20 },
  { "terra_shared.ppm",    20,  20 },
  { "stone_neutral.ppm",   20,  20 },
  { "stone_red.ppm",       20,  20 },
  { "stone_blue.ppm",      20,  20 },
  { "stone_shared.ppm",    20,  20 },
  { "bterra_neutral.ppm",  32,  32 },
  { "bterra_red.ppm",      32,  32 },
  { "bterra_blue.ppm",     32,  32 },
  { "bterra_shared.ppm",   32,  32 },
  { "bstone_neutral.ppm",  32,  32 },
  { "bstone_red.ppm",      32,  32 },
  { "bstone_blue.ppm",     32,  32 },
  { "bstone_shared.ppm",   32,  32 },
  { NULL, -1, -1 },
};

#ifndef __BMP_TO_DAT__

SDL_Surface **id_bitmap_ptrs[] =
{
  &bl_bmp_title,
  &bl_bmp_win_none,
  &bl_bmp_win_red,
  &bl_bmp_win_blue,
  &bl_bmp_sidebar_large,
  &bl_bmp_sidebar_small,
  &bl_bmp_sidebar_button,
  &bl_bmp_scroll_bar,
  &bl_bmp_scroll_up,
  &bl_bmp_scroll_down,
  &bl_bmp_scroll_nib,
  &bl_bmp_blocks[0],
  &bl_bmp_blocks[1],
  &bl_bmp_blocks[2],
  &bl_bmp_blocks[3],
  &bl_bmp_blocks[4],
  &bl_bmp_blocks[5],
  &bl_bmp_blocks[6],
  &bl_bmp_blocks[7],
  &bl_bmp_bblocks[0],
  &bl_bmp_bblocks[1],
  &bl_bmp_bblocks[2],
  &bl_bmp_bblocks[3],
  &bl_bmp_bblocks[4],
  &bl_bmp_bblocks[5],
  &bl_bmp_bblocks[6],
  &bl_bmp_bblocks[7],
  NULL
};

void id_load_bitmaps(char *path);

#endif


#endif
