/* lookahead.c - Used by AI in hard mode. */

#include <stdio.h>
#include <SDL.h>
#include "blockit.h"
#include "game.h"
#include "rungame.h"
#include "ai.h"

#if 1
static int l_advantage(int player)
{
  int i,j,k;
  if (player == GP_RED)
    g_get_territory(&i, &j, &k);
  else
    g_get_territory(&i, &k, &j);
  return j;
}
#else
static int l_advantage(int player)
{
  int j,k;
  if (player == GP_RED)
    g_get_stones(&j, &k);
  else
    g_get_stones(&k, &j);
  return j-k;
}
#endif

int lookahead_count_gain(int player, int x, int y, int level)
{
  char save_grid[24][16];
  int i, j, ex, ey;
  int w;
  int enemy = 3-player;
  int adv1, adv2;

  if (!g_can_move(player, x, y)) return -400;

  memcpy(save_grid, g_grid, 384);

  adv1 = l_advantage(player);
  g_make_move(player, x, y);

  w = g_has_finished();
  if (w==0)
    {
      if ((save_grid[x][y] & 3) != GP_SHARED)
	ai_think_move(enemy, &ex, &ey, 0);
      else
	ai_think_move(enemy, &ex, &ey, level-1);
      g_make_move(enemy, ex, ey);
      adv2 = l_advantage(player);
    }
  else
    {
      adv2 = l_advantage(player);
    }

  memcpy(g_grid, save_grid, 384);

  return (adv2-adv1);
}

